/*
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

package com.instagram.common.json.annotation.processor.uut;

import com.instagram.common.json.annotation.JsonField;
import com.instagram.common.json.annotation.JsonType;

/** UUT to test using enums in autogenerated parsing and serialization. */
@JsonType
public class EnumUUT {
  public static final String ENUM_FIELD_NAME = "enum";

  public enum EnumType {
    VALUE0,
    VALUE1,
    VALUE2,
    VALUE3,
  }

  @JsonField(
      fieldName = ENUM_FIELD_NAME,
      valueExtractFormatter = "EnumUUT.EnumType.valueOf(${parser_object}.getText())",
      serializeCodeFormatter =
          "${generator_object}.writeStringField(\"${json_fieldname}\", ${object_varname}.${field_varname}.toString())")
  public EnumType enumField;
}
